      SUBROUTINE PXZ07(X,Y,IP)
C
C  PXZ07 IS A SWITCH ROUTINE TO SELECT PROPER OUTPUT
C  FORMATTING ROUTINE FOR CONVERSION OF I-X/Y-RAS
C  DATA TO OUTPUT STRING.
C
C	VALUE OF IPLTR           DEVICE
C             1                  CALCOMP
C             2                  TEKTRONIX 4010,4012
C             3                  TEXPLOT
C             4                  HP 7203
C             5                  TEKTRONIX 4014
C             6                  HP 7580A
C             7                  GENERAL VECTOR OUTPUT
C             8                   PC(640 BY 400)
C             9                   PC(640 BY 200)
C            10                   PC(640 BY 350)
C            11                   PC(640 BY 480)
C            12                   FUTURE EXPANSION
C            13                  TANDY DMP-105 PRINTER
C
$INCLUDE:'pxz99.cmn'
C
      IF (IP.GE.0.AND.NXYRS.LT.NXYSI) GO TO 80
      IF (NXYRS.LE.0) RETURN
      GO TO (50,50,50,50,50,35,50,45,45,45,45,50),IPLTR
C
C     GO TO (10,20,40,30,20,35,40),IPLTR
C  10 CALL PXZ41
C  C  GO TO 70
C  20 CALL PXZ31
C  C  GO TO 70
C  30 CALL PXZ39
C  C  GO TO 70
   35 CALL HPFORM
      GO TO 70
C  40 CALL PXZ35
C  C  GO TO 70
   45 CALL PXZ42F
c      print *,' return from pxz42f'
      GO TO 70
C  47 CALL PXZ44F
C  C  GO TO 70
   50 WRITE(LUERR,60)
   60 FORMAT(' %PLOTTER FORMATTER SELECTED NOT IMPLEMENTED.')
      STOP 577
C
   70 NXYRS=0
C
      IF (IP) 90,80,80
   80 NXYRS=NXYRS+1
      IXRAS(NXYRS)=IFIX(X+.5)
      IYRAS(NXYRS)=IFIX(Y+.5)
      IPENC(NXYRS)=IP
   90 RETURN
C
      END

